﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace XMLVerify {
    /// <summary>
    /// Interaction logic for FShowHelp.xaml
    /// </summary>
    public partial class FShowHelp : Window {

        int fontsize = 12;
        int nr = 1;

        public FShowHelp(int nr) {
            InitializeComponent();
            this.nr = nr;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e) {
            fontsize = 12;
            mnFont12pg.IsChecked = true;
            int fs;
            fs = Basis.ReadRegInt(SingVar.C_REG_ADR, "fontsize");
            if (fs > 0) setFontsizeRegistry(fs);

            showHelp(nr);
        }

        private void setFontsizeRegistry(int fs) {
            if (fs == 8) {
                mnFont8pg.IsChecked = true;
                clearFontMenues(mnFont8pg);
                setFontsize(8);
            }
            if (fs == 10) {
                mnFont10pg.IsChecked = true;
                clearFontMenues(mnFont10pg);
                setFontsize(10);
            }
            if (fs == 12) {
                mnFont12pg.IsChecked = true;
                clearFontMenues(mnFont12pg);
                setFontsize(12);
            }
            if (fs == 14) {
                mnFont14pg.IsChecked = true;
                clearFontMenues(mnFont14pg);
                setFontsize(14);
            }
            if (fs == 16) {
                mnFont16pg.IsChecked = true;
                clearFontMenues(mnFont16pg);
                setFontsize(16);
            }
            if (fs == 18) {
                mnFont18pg.IsChecked = true;
                clearFontMenues(mnFont18pg);
                setFontsize(18);
            }
            if (fs == 20) {
                mnFont20pg.IsChecked = true;
                clearFontMenues(mnFont20pg);
                setFontsize(20);
            }
            if (fs == 24) {
                mnFont24pg.IsChecked = true;
                clearFontMenues(mnFont24pg);
                setFontsize(24);
            }
            if (fs == 28) {
                mnFont28pg.IsChecked = true;
                clearFontMenues(mnFont28pg);
                setFontsize(28);
            }
            if (fs == 30) {
                mnFont30pg.IsChecked = true;
                clearFontMenues(mnFont30pg);
                setFontsize(30);
            }
            if (fs == 32) {
                mnFont32pg.IsChecked = true;
                clearFontMenues(mnFont32pg);
                setFontsize(32);
            }
            if (fs == 34) {
                mnFont34pg.IsChecked = true;
                clearFontMenues(mnFont34pg);
                setFontsize(34);
            }
            if (fs == 36) {
                mnFont36pg.IsChecked = true;
                clearFontMenues(mnFont36pg);
                setFontsize(36);
            }
            if (fs == 38) {
                mnFont38pg.IsChecked = true;
                clearFontMenues(mnFont38pg);
                setFontsize(38);
            }
            if (fs == 40) {
                mnFont40pg.IsChecked = true;
                clearFontMenues(mnFont40pg);
                setFontsize(40);
            }
            if (fs == 42) {
                mnFont42pg.IsChecked = true;
                clearFontMenues(mnFont42pg);
                setFontsize(42);
            }
            if (fs == 44) {
                mnFont44pg.IsChecked = true;
                clearFontMenues(mnFont44pg);
                setFontsize(44);
            }
            if (fs == 46) {
                mnFont46pg.IsChecked = true;
                clearFontMenues(mnFont46pg);
                setFontsize(46);
            }
            if (fs == 48) {
                mnFont48pg.IsChecked = true;
                clearFontMenues(mnFont48pg);
                setFontsize(48);
            }
            if (fs == 50) {
                mnFont50pg.IsChecked = true;
                clearFontMenues(mnFont50pg);
                setFontsize(50);
            }
        }



        private void mnFont_Click(object sender, RoutedEventArgs e) {
            MenuItem mn = (MenuItem)sender;
            clearFontMenues(sender);
            setFontsize(Convert.ToInt32(mn.Tag));
        }

        private void setFontsize(int size) {
            this.fontsize = size;
            editor.FontSize = size;
            mainMenu.FontSize = size;
            saveFont2Registry();
        }
              

        private void clearFontMenues(object sender) {
            mnFont8pg.IsChecked = false;
            mnFont10pg.IsChecked = false;
            mnFont12pg.IsChecked = false;
            mnFont14pg.IsChecked = false;
            mnFont16pg.IsChecked = false;
            mnFont18pg.IsChecked = false;
            mnFont20pg.IsChecked = false;
            mnFont24pg.IsChecked = false;
            mnFont28pg.IsChecked = false;
            mnFont30pg.IsChecked = false;
            mnFont32pg.IsChecked = false;
            mnFont34pg.IsChecked = false;
            mnFont36pg.IsChecked = false;
            mnFont38pg.IsChecked = false;
            mnFont40pg.IsChecked = false;
            mnFont42pg.IsChecked = false;
            mnFont44pg.IsChecked = false;
            mnFont46pg.IsChecked = false;
            mnFont48pg.IsChecked = false;
            mnFont50pg.IsChecked = false;
            MenuItem mnItem = (MenuItem)sender;
            mnItem.IsChecked = true;
        }

        private void showHelp(int nr) {
            String s = "";
            switch (nr) {
                case 1:s ="Einfache Datentypen (atomare Datentypen à la Java, C)\r\n"+
                          "xsd:string\r\n"+
                          "xsd:hexBinary		bel. hexadezimale Strings,  0E03\r\n"+
                          "xsd:base64Binary		\r\n\r\n"+

                        "  // ganzahlig\r\n"+
                          "xsd:byte			(-128 bis +127)\r\n"+
                          "xsd:short			(-32.768 bis +32.767)\r\n"+
                          "xsd:int			(-2.147.483.648 bis +2.147.483.647)\r\n"+
                          "xsd:unsignedByte		(0 bis 255)\r\n"+
                          "xsd:unsignedShort		(0 bis 65.535))\r\n"+
                          "xsd:unsignedInt		(0 bis 4.294.967.295)\r\n"+
                          "xsd:unsignedLong		(0 bis 1.8446.744.073.709.551.615)\r\n\r\n" +

                          "xsd:integer		(bel. Groesse, von decimal abgeleitet)\r\n"+
                          "xsd:negativeInteger 		Nur negative Zahlen, ohne Null\r\n"+
                          "xsd:nonNegativeInteger 		Nur positive Zahlen, mit Null\r\n"+
                          "xsd:nonPositiveInteger 		Nur negative Zahlen, mit Null\r\n"+
                          "xsd:positiveInteger 		Nur positive Zahlen, ohne Null\r\n\r\n"+


                          " // mit Nachkommastellen\r\n"+
                          "xsd:float			-INF, +INF, NAN\r\n"+
                          "xsd:double		-INF, +INF, NAN\r\n"+
                          "xsd:decimal		Definition der Stellen möglich\r\n\r\n"+

                          "xsd:Boolean		true, false, 1, 0\r\n\r\n"+

                          "xsd:date          <datum>2015-11-25</datum>\r\n" +
                          "xsd:time          <zeit>09:45:49</zeit>  \r\n"+
                          "xsd:dateTime      <startdate>2002-05-30T09:00:00</startdate> \r\n"+
                          "xsd:duration		Zeitdauer\r\n"+
                          "			P nY nM nT nH nM nS\r\n"+
                          "			nY Anzahl der Jahre, nM=Anzahl der Monate\r\n"+
                          "xsd:GDay		Tag nach dem gregorianischen Kalender\r\n"+
                          "xsd:GMonth		11 = November\r\n"+
                          "xsd:GMonthDay		03-11	11. März\r\n"+
                          "xsd:GYear		Jahr nach dem gregorianischen Kalender\r\n"+
                          "xsd:GYearMonth		2012-11, November 2012\r\n\r\n"+

                          "xsd:ID			ID à la Matrikelnummer, muss mit einem Buchstaben beginnen\r\n"+
                          "                 Bsp: <xsd:attribute name=\"mnr\" type=\"xsd:ID\" />\r\n"+
                          "                 Prüft, ob ein Eintrag doppelt ist\r\n\r\n" +

                        "1.  Beispiel: Speichern eines Studenten (xsd_bsp1)\r\n"+
                        "--------------------------------------------------\r\n"+
                        "XML-Datei:\r\n\r\n"+

                        "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n"+
                        "<vorlesung xsi:noNamespaceSchemaLocation=\"xsd_bsp1.xsd\">\r\n" +
                        "  <student>\r\n"+
                        "    Meier\r\n"+
                        "  </student>\r\n"+
                        "</vorlesung>\r\n"+

                        "XSD-Datei:\r\n\r\n"+

                        "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n"+
                        "<xsd:schema xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">\r\n"+
                        "<xsd:element name=\"vorlesung\">\r\n"+
                        "  <xsd:complexType>\r\n"+
                        "   <xsd:sequence>\r\n"+
                        "     <xsd:element ref=\"student\" />\r\n"+
                        "   </xsd:sequence>\r\n"+
                        "  </xsd:complexType>\r\n"+
                        "</xsd:element>\r\n\r\n"+

                        " <xsd:element name=\"student\" type=\"xsd:string\"/>\r\n\r\n"+

                        "</xsd:schema>\r\n";
                    editor.Text = s;
                    break;

                case 2:  // Bemerkungen
                    s = "Bemerkungen (annotation)\r\n" +
                    "------------------------\r\n" +
                    "\r\n" +
                    "Bemerkungen können an jeder Stelle eingetragen werden und können auch gesucht werden.:\r\n" +
                    "\r\n" +
                    "<xsd:annotation>\r\n" +
                    "<xsd:documentation>XML macht Spaß</xsd:documentation>\r\n" +
                    "</xsd:annotation>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "Es gibt auch Kommentare à la HTML, die aber nicht gesucht werden können:\r\n" +
                    "\r\n" +
                    "<!--    Kommentar   -->\r\n";

                    editor.Text = s;
                    break;

                case 3:  // mnConstraints_Anzahl_Click
                    s="Um die einzelnen Knoten einschränken zu können, stehen folgende Techniken zur Verfügung:\r\n\r\n"+
                        "Anzahl (minimal und maximal)\r\n"+
                        "minOccurs bestimmt die untere Grenze (einschließlich).\r\n"+
                        "maxOccurs bestimmt die obere Grenze (einschließlich). maxOccurs kann auch \"unbounded\" als Wert haben."+
                        "\r\n"+
                        "Beispiele:\r\n"+
                        "----------\r\n"+
                        "<xsd:element name=\"anzStudenten\"  type=\"xsd:integer\" minOccurs=\"0\"/>\r\n"+
                        "<xsd:element name=\"kommentar\"  type=\"xsd:string\"  minOccurs=\"0\" maxOccurs=\"unbounded\"/>\r\n";
                    editor.Text = s;
                    break;
                case 4:  // mnConstraints_Wertebereich_Click
                    s = "Um die einzelnen Knoten einschränken zu können, stehen folgende Techniken zur Verfügung:\r\n\r\n" +
                    "Wertebereich:\r\n" +
                    "  minExclusive  >\r\n" +
                    "  minInclusive  >=\r\n" +
                    "  maxExclusive  <\r\n" +
                    "  maxInclusive  <=\r\n"+
                    "\r\n"+
                    "  minExclusive  0			ist identisch  mit minInclusive  1 bei Integer-Typen!\r\n"+
                    "  Nicht bei Nachkommastellen\r\n\r\n" +

                    "Beispiel Wertebereich:\r\n"+
                    "--------------\r\n"+
                    "<xsd:simpleType name=\"monatIntType\">\r\n"+
                    "  <xsd:restriction base=\"xsd:integer\">\r\n"+
                    "    <xsd:minInclusive value=\"1\"/>\r\n"+
                    "     <xsd:maxInclusive value=\"12\"/>\r\n" +
                    "   </xsd:restriction>\r\n"+
                    "</xsd:simpleType>\r\n";
                    editor.Text = s;
                    break;
                case 5:  // mnConstraints_StringLength_Click
                    s = "Um die einzelnen Knoten einschränken zu können, stehen folgende Techniken zur Verfügung:\r\n\r\n" +
                    "Längenbeschränkungen bei Strings:\r\n" +
                    "  length\r\n" +
                    "  minLength\r\n" +
                    "  maxLength\r\n\r\n"+
                    "Beispiel Längenbeschränkung:\r\n"+
                    "-----------------------\r\n"+
                    "<xsd:simpleType name=\"myType\">\r\n"+
                    "  <xsd:restriction base=\"xsd:string\">\r\n"+
                    "    <xsd:minLength value=\"3\"/>\r\n"+
                    "    <xsd:maxLength value=\"30\"/>\r\n"+
                    "  </xsd:restriction>\r\n"+
                    "</xsd:simpleType>\r\n";
                    editor.Text = s;
                    break;
                case 6: //mnConstraints_Enumeration_Click
                    s = "Um die einzelnen Knoten einschränken zu können, stehen folgende Techniken zur Verfügung:\r\n\r\n" +
                    "Enumeration\r\n"+
                    " Beschränkung durch Angabe alternativer Werte.\r\n"+
                    " Beispiel: enumeration value=\"ATI\"\r\n"+
                    "\r\n"+
                    "Aufzählung:\r\n"+
                    "-------------\r\n"+
                    "<xsd:element name=\"auto\" type=\"autoType\"/>\r\n"+
                    "\r\n"+
                    "<xsd:simpleType name=\"autoType\">\r\n"+
                    "  <xsd:restriction base=\"xsd:string\">\r\n"+
                    "    <xsd:enumeration value=\"Audi\"/>\r\n"+
                    "    <xsd:enumeration value=\"Volkswagen\"/>\r\n"+
                    "    <xsd:enumeration value=\"BMW\"/>\r\n"+
                    "  </xsd:restriction>\r\n"+
                    "</xsd:simpleType>\r\n";

                    editor.Text = s;
                    break;
                case 7: // mnConstraints_Pattern_Click
                    s = "Um die einzelnen Knoten einschränken zu können, stehen folgende Techniken zur Verfügung:\r\n\r\n" +
                    "pattern\r\n" +
                    "  Beschränkung durch Angabe eines regulären Ausdrucks.\r\n" +
                    "  Deutsche Postleitzahlen: pattern value=\"(D )?[0-9]{5}\"\r\n" +
                    "  \"D\" ist optional gefolgt von fünf Ziffern\r\n\r\n" +
                    "Beispiele:\r\n" +
                    "<xsd:simpleType name=\"BuchstabeType\"  >\r\n" +
                    "  <xsd:restriction base=\"xsd:string\">\r\n" +
                    "    <xsd:pattern value=\"[a-z]\"/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "<xsd:simpleType name=\"InitialenType\" >\r\n" +
                    "  <xsd:restriction base=\"xsd:string\">\r\n" +
                    "    <xsd:pattern value=\"[A-Z][A-Z][A-Z]\"/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "<xsd:simpleType name=\"InitialenType\" >\r\n" +
                    "  <xsd:restriction base=\"xsd:string\">\r\n" +
                    "    <xsd:pattern value=\"[a-zA-Z][a-zA-Z][a-zA-Z]\"/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "<xsd:simpleType name=\"ZeichenType\" >\r\n" +
                    "  <xsd:restriction base=\"xsd:string\">\r\n" +
                    "    <xsd:pattern value=\"[xyz]\"/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "<xsd:simpleType name=\"ArtikelnummerType\" >\r\n" +
                    "  <xsd:restriction base=\"xsd:integer\">\r\n" +
                    "    <xsd:pattern value=\"[0-9][0-9][0-9][0-9][0-9]\"/>\r\n" +
                    "    <xsd:pattern value=\"[0-9]{5}\"/>\r\n" +
                    "    <xsd:pattern value=\"[0-9]{1,5}\"/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "<xsd:simpleType name=\"wortType\">\r\n" +
                    "  <xsd:restriction base=\"xsd:string\">\r\n" +
                    "    <xsd:pattern value=\"[a-z]{0,}\"/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "<xsd:simpleType name=\"letterType\">\r\n" +
                    "  <xsd:restriction base=\"xsd:string\">\r\n" +
                    "    <xsd:pattern value=\"([A-Z][a-z]){1,}\"/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "<xsd:simpleType name=\"geschlechtType\">\r\n" +
                    "  <xsd:restriction base=\"xsd:string\">\r\n" +
                    "    <xsd:pattern value=\"male|female|unisex\"/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "<xsd:simpleType name=\"passwortType\">\r\n" +
                    "  <xsd:restriction base=\"xsd:string\">\r\n" +
                    "    <xsd:pattern value=\"[a-zA-Z0-9_]{8}\"/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType>\r\n";
                    editor.Text = s;
                    break;
                case 8: // mnConstraints_whiteSpace_Click
                    s = "Um die einzelnen Knoten einschränken zu können, stehen folgende Techniken zur Verfügung:\r\n\r\n" +
                    "whiteSpace – Behandlung von Leerzeichen und Tabs\r\n\r\n"+
                    "Mögliche Varianten: \r\n"+
                    "    \"preserve\" ist der Standardwert und löscht KEINE \"white space\".\r\n"+
                    "    \"replace\" ersetzt alle \"white space characters\" mit Leerzeichen.\r\n"+
                    "    \"collapse löscht die \"white spaces\" am Anfang und am Ende (à la trim).\r\n\r\n"+
                    "Beispiele:\r\n"+
                    "<student xml:space=\"preserve\">\r\n"+
                    "    <student> Hans   Hugo   Müller  Lüdenscheidt</test>\r\n"+
                    "</student>\r\n\r\n"+
                    "<signature xml:space=\"default\">-Alix</signature>"+
                    "\r\n"+
                    "<xsd:element name=\"addresse\">\r\n"+
                    "  <xsd:simpleType>\r\n"+
                    "    <xsd:restriction base=\"xsd:string\">\r\n"+
                    "      <xsd:whiteSpace value=\"preserve\"/>\r\n"+
                    "    </xsd:restriction>\r\n"+
                    "  </xsd:simpleType>\r\n"+
                    "</xsd:element> \r\n";
                    editor.Text = s;
                    break;
                case 9:  //mnConstraints_Decimal_Click
                    s = "Um die einzelnen Knoten einschränken zu können, stehen folgende Techniken zur Verfügung:\r\n\r\n" +
                    "Einschränkung der Dezimalstellen (Gesamtzahl und Nachkommastellen)\r\n"+
                    "  totalDigits\r\n"+
                    "  fractionDigits\r\n"+
                    "\r\n"+
                    "Dezimal-Stellen:\r\n"+
                    "-----------------\r\n"+
                    "totalDigits: Gesamtanzahl der Zahl\r\n"+
                    "fractionDigits: Nachklommastellen der Zahl\r\n"+
                    "<xsd:simpleType name=\"decimalTyp\">\r\n" +
                    "  <xsd:restriction base=\"xsd:decimal\">\r\n" +
                    "    <xsd:totalDigits value=\"20\"/>\r\n"+
                    "    <xsd:fractionDigits value=\"11\"/>\r\n"+
                    "  </xsd:restriction>\r\n"+
                    "</xsd:simpleType>\r\n";
                    editor.Text = s;
                    break;
                case 10:  // mn_SimpleType_Click
                    s="SimpleType:\r\n"+
                    "----------\r\n"+
                    "\r\n"+
                    "Dieser Typ hat keine weiteren Unterelemente, \r\n"+
                    "sondern hier wird definiert, \r\n"+
                    "welche Eigenschaften das Element hat.\r\n"+
                    "\r\n"+
                    "Wertebereich:\r\n"+
                    "-------------\r\n"+
                    "<xsd:simpleType name=\"monatIntType\">\r\n"+
                    "  <xsd:restriction base=\"xsd:integer\">\r\n"+
                    "    <xsd:minInclusive value=\"1\"/>\r\n"+
                    "    <xsd:maxInclusive value=\"12\"/>\r\n"+
                    "</xsd:restriction>\r\n"+
                    "  </xsd:simpleType>\r\n"+
                    "\r\n"+
                    "Aufzählung:\r\n"+
                    "-----------\r\n"+
                    "  <xsd:simpleType name=\"autoType\">\r\n"+
                    "    <xsd:restriction base=\"xsd:string\">\r\n"+
                    "      <xsd:enumeration value=\"Audi\"/>\r\n"+
                    "      <xsd:enumeration value=\"Volkswagen\"/>\r\n"+
                    "      <xsd:enumeration value=\"BMW\"/>\r\n"+
                    "    </xsd:restriction>\r\n"+
                    "  </xsd:simpleType>\r\n"+
                    "\r\n"+
                    "\r\n"+
                    "Längenbeschränkung:\r\n"+
                    "-------------------\r\n"+
                    "<xsd:simpleType name=\"myType\">\r\n"+
                    "  <xsd:restriction base=\"xsd:string\">\r\n"+
                    "    <xsd:minLength value=\"3\"/>\r\n" +
                    "  </xsd:restriction>\r\n"+
                    "</xsd:simpleType>\r\n\r\n" +

                        "  <xsd:simpleType name=\"InitialenType\">\r\n" +
                        "    <xsd:restriction base=\"xsd:string\">\r\n"+
                        "      <xsd:pattern value=\"[a-zA-Z][a-zA-Z][a-zA-Z]\"/>\r\n"+
                        "    </xsd:restriction>\r\n"+
                        "  </xsd:simpleType>\r\n"+
                        "\r\n"+
                        "\r\n"+


                        "<xsd:simpleType name=\"decimalType\">\r\n" +
                        "  <xsd:restriction base=\"xsd:decimal\">\r\n" +
                        "    <xsd:totalDigits value=\"20\"/>\r\n"+
                        "    <xsd:fractionDigits value=\"11\"/>\r\n"+
                        "  </xsd:restriction>\r\n"+
                        "</xsd:simpleType>\r\n\r\n"+

                    "  <xsd:simpleType name=\"geschlechtType\">\r\n" +
                    "    <xsd:restriction base=\"xsd:string\">\r\n" +
                    "      <xsd:pattern value=\"male|female|unisex\"/>\r\n" +
                    "    </xsd:restriction>\r\n" +
                    "  </xsd:simpleType>\r\n" +
                    "\r\n";

                    editor.Text = s;
                    break;
                case 11:  // mn_Complex_Click
                    s="ComplexType\r\n" +
                    "-----------\r\n" +
                    "\r\n" +
                    "Ein ComplexType hat ein oder mehrere Unterelemente.\r\n" +
                    "\r\n" +
                    "<xsd:complexType  name=\"root\">\r\n" +
                    "  <xsd:sequence>\r\n" +
                    "   <xsd:element name=\"name\" type=\"xsd:string\" />\r\n" +
                    "  </xsd:sequence>\r\n" +
                    "</xsd:complexType>\r\n" +
                    "\r\n\r\n" +

                    "Ein ComplexType hat ein oder mehrere Unterelemente.\r\n" +
                    "\r\n" +
                    "Beispiel:\r\n" +
                    "\r\n" +
                    "  <xsd:complexType name=\"vorlesungType\">\r\n" +
                    "   <xsd:sequence>\r\n" +
                    "   <xsd:element name=\"student\" type=\"studentType\" />\r\n" +
                    "   </xsd:sequence>\r\n" +
                    "  </xsd:complexType>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "Die Grundstruktur ist immer:\r\n" +
                    "•	complexType\r\n" +
                    "•	sequenz\r\n" +
                    "\r\n" +
                    "Es ist immer besser, wenn man die Subelemente in einem zusätzlichen Abschnitt definiert:\r\n" +
                    "\r\n" +
                    "<xsd:complexType name=\"studentType\">\r\n" +
                    "  <xsd:sequence>\r\n" +
                    "   <xsd:element name=\"vorname\" type=\"xsd:string\" />\r\n" +
                    "   <xsd:element name=\"nachname\" type=\"xsd:string\" />\r\n" +
                    "   <xsd:element name=\"matrnr\" type=\"matrnrType\" />\r\n" +
                    "  </xsd:sequence>\r\n" +
                    "</xsd:complexType>\r\n" +
                    "\r\n" +
                    "<xsd:simpleType name='matrnrType'>\r\n" +
                    "  <xsd:restriction base='xsd:integer'>\r\n" +
                    "   <xsd:minInclusive value='1'/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "Der Student besteht, laut Modell, aus Vorname, Nachname und Matrikelnummer.\r\n" +
                    "Die Matrikelnummer wird in \"matrnrType\" definiert.\r\n";
                    editor.Text = s;
                    break;
                case 12:  // Beispiele
                    s="1.  Beispiel: Speichern eines Studenten (xsd_bsp1)\r\n" +
                    "--------------------------------------------------\r\n" +
                    "\r\n" +
                    "XML-Datei:\r\n" +
                    "\r\n" +
                    "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n" +
                    "\r\n" +
                    "<vorlesung  xsi:noNamespaceSchemaLocation=\"xsd_bsp0.xsd\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">\r\n" +
                    "\r\n" +
                    "    <student>\r\n" +
                    "      Meier\r\n" +
                    "    </student>\r\n" +
                    "   \r\n" +
                    "  <dozent>\r\n" +
                    "      Schulze\r\n" +
                    "    </dozent>\r\n" +
                    "   \r\n" +
                    "  </vorlesung>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "XSD-Datei:\r\n" +
                    "\r\n" +
                    "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n" +
                    "\r\n" +
                    "<xsd:schema xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">\r\n" +
                    "   \r\n" +
                    "  <xsd:element name=\"vorlesung\">\r\n" +
                    "\r\n" +
                    "    <xsd:complexType>\r\n" +
                    "      <xsd:sequence>\r\n" +
                    "\r\n" +
                    "        <xsd:element name=\"student\" type=\"studentType\" minOccurs=\"0\" />\r\n" +
                    "        <xsd:element name=\"dozent\" type=\"dozentType\" />\r\n" +
                    "\r\n" +
                    "      </xsd:sequence>\r\n" +
                    "    </xsd:complexType>\r\n" +
                    "  </xsd:element>\r\n" +
                    "  \r\n" +
                    "<xsd:simpleType name=\"studentType\">\r\n"+
                    "  <xsd:restriction base=\"xsd:string\">\r\n"+
                    "    <xsd:minLength value=\"3\"/>\r\n"+
                    "    <xsd:maxLength value=\"30\"/>\r\n"+
                    "  </xsd:restriction>\r\n"+
                    "</xsd:simpleType>\r\n"+
                    "  \r\n" +
                    "<xsd:simpleType name=\"dozentType\">\r\n"+
                    "  <xsd:restriction base=\"xsd:string\">\r\n"+
                    "    <xsd:minLength value=\"3\"/>\r\n"+
                    "    <xsd:maxLength value=\"40\"/>\r\n"+
                    "  </xsd:restriction>\r\n"+
                    "</xsd:simpleType>\r\n"+
                    "\r\n" +
                    "</xsd:schema>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "2.  Beispiel: Datensatz (xsd_bsp5)\r\n" +
                    "----------------------------------\r\n" +
                    "\r\n" +
                    "XML-Datei:\r\n" +
                    "\r\n" +
                    "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n" +
                    "\r\n" +
                    "<adressen  xsi:noNamespaceSchemaLocation=\"xsd_bsp5.xsd\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">\r\n" +
                    "        <datensatz>\r\n" +
                    "                <vorname>Hans</vorname>\r\n" +
                    "                <nachname>Mustermann</nachname>\r\n" +
                    "                <matrnr>12345</matrnr>\r\n" +
                    "                <fb>AI</fb>\r\n" +
                    "        </datensatz>\r\n" +
                    "        <datensatz>\r\n" +
                    "                <vorname>Franz</vorname>\r\n" +
                    "                <nachname>Meier</nachname>\r\n" +
                    "                <matrnr>12741</matrnr>\r\n" +
                    "                <fb>W</fb>\r\n" +
                    "        </datensatz>\r\n" +
                    "        <datensatz>\r\n" +
                    "                <vorname>Hans Hugo</vorname>\r\n" +
                    "                <nachname>Schulze</nachname>\r\n" +
                    "                <matrnr>17741</matrnr>\r\n" +
                    "                <fb>VW</fb>\r\n" +
                    "        </datensatz>\r\n" +
                    "       \r\n" +
                    "</adressen>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "XSD:Datei\r\n" +
                    "\r\n" +
                    "<xsd:schema xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">\r\n" +
                    "<xsd:element name=\"adressen\" type=\"adressenType\"/>\r\n" +
                    "\r\n" +
                    "<xsd:complexType name=\"adressenType\">\r\n" +
                    "     <xsd:sequence>\r\n" +
                    "       <xsd:element name=\"datensatz\" type=\"datensatzType\" minOccurs=\"1\"  maxOccurs=\"unbounded\" />\r\n" +
                    "     </xsd:sequence>\r\n" +
                    "</xsd:complexType>\r\n" +
                    "\r\n" +
                    "<xsd:complexType name=\"datensatzType\">\r\n" +
                    "     <xsd:sequence>\r\n" +
                    "              <xsd:element name=\"vorname\" type=\"xsd:string\" />\r\n" +
                    "              <xsd:element name=\"nachname\" type=\"xsd:string\" />\r\n" +
                    "              <xsd:element name=\"matrnr\" type=\"matrnrType\" />\r\n" +
                    "              <xsd:element name=\"fb\" type=\"fbTyp\" />\r\n" +
                    "     </xsd:sequence>\r\n" +
                    "</xsd:complexType>\r\n" +
                    "\r\n" +
                    "<xsd:simpleType name='matrnrType'>\r\n" +
                    "  <xsd:restriction base='xsd:integer'>\r\n" +
                    "    <xsd:minInclusive value='1'/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType>\r\n" +
                    "\r\n" +
                    "<xsd:simpleType name=\"fbType\">\r\n" +
                    "  <xsd:restriction base=\"xsd:string\">\r\n" +
                    "    <xsd:enumeration value=\"AI\"/>\r\n" +
                    "    <xsd:enumeration value=\"VW\"/>\r\n" +
                    "    <xsd:enumeration value=\"W\"/>\r\n" +
                    "  </xsd:restriction>\r\n" +
                    "</xsd:simpleType> \r\n" +
                    "\r\n" +
                    "</xsd:schema>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "3.  Beispiel: Speichern eines Studenten (xsd_bsp1)\r\n" +
                    "--------------------------------------------------\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "XML-Datei:\r\n" +
                    "\r\n" +
                    "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\r\n" +
                    "<Person  \r\n" +
                    "   xsi:noNamespaceSchemaLocation=\"xsd_bsp6.xsd\"\r\n" +
                    "   xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">\r\n" +
                    "	<Name ID=\"123456\">\r\n" +
                    "		<Forename>John</Forename>\r\n" +
                    "		<Surname>Doe</Surname>\r\n" +
                    "	</Name>\r\n" +
                    "</Person>\r\n" +
                    "\r\n" +
                    "\r\n" +
                    "XSD-Datei:\r\n" +
                    "\r\n" +
                    "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\r\n" +
                    "<xsd:schema elementFormDefault=\"qualified\" xmlns:xs=\"http://www.w3.org/2001/XMLSchema\">\r\n" +
                    "  <xsd:complexType name=\"NameType\">\r\n" +
                    "    <xsd:sequence>\r\n" +
                    "      <xsd:element name=\"Forename\" type=\"xsd:string\" />\r\n" +
                    "      <xsd:element name=\"Surname\" type=\"xsd:string\" />\r\n" +
                    "    </xsd:sequence>\r\n" +
                    "  </xsd:complexType>\r\n" +
                    "  <xsd:element name=\"Person\">\r\n" +
                    "    <xsd:complexType>\r\n" +
                    "      <xsd:sequence>\r\n" +
                    "        <xsd:element name=\"Name\">\r\n" +
                    "          <xsd:complexType>\r\n" +
                    "            <xsd:complexContent mixed=\"false\">\r\n" +
                    "              <xsd:extension base=\"NameType\">\r\n" +
                    "                <xsd:attribute name=\"ID\" type=\"xsd:string\" />\r\n" +
                    "              </xsd:extension>\r\n" +
                    "            </xsd:complexContent>\r\n" +
                    "          </xsd:complexType>\r\n" +
                    "        </xsd:element>\r\n" +
                    "      </xsd:sequence>\r\n" +
                    "    </xsd:complexType>\r\n" +
                    "  </xsd:element>\r\n" +
                    "</xsd:schema>\r\n";
                    editor.Text = s;
                    break;
            }
        }

        private void mnDatatyp_Click(object sender, RoutedEventArgs e) {
            showHelp(1);
        }

        private void mnAnnotation_Click(object sender, RoutedEventArgs e) {
            showHelp(2);
        }

        private void mnConstraints_Anzahl_Click(object sender, RoutedEventArgs e) {
            showHelp(3);
        }


        private void mnConstraints_Wertebereich_Click(object sender, RoutedEventArgs e) {
            showHelp(4);
        }

        private void mnConstraints_StringLength_Click(object sender, RoutedEventArgs e) {
            showHelp(5);
        }

        private void mnConstraints_Enumeration_Click(object sender, RoutedEventArgs e) {
            showHelp(6);
        }

        private void mnConstraints_Pattern_Click(object sender, RoutedEventArgs e) {
            showHelp(7);
        }

        private void mnConstraints_whiteSpace_Click(object sender, RoutedEventArgs e) {
            showHelp(8);
        }

        private void mnConstraints_Decimal_Click(object sender, RoutedEventArgs e) {
            showHelp(9);
        }

        private void mn_SimpleType_Click(object sender, RoutedEventArgs e) {
            showHelp(10);
        }
        private void mn_ComplexType_Click(object sender, RoutedEventArgs e) {
            showHelp(11);
        }
        private void mn_Beispiele_Click(object sender, RoutedEventArgs e) {
            showHelp(12);
        }

        private void saveFont2Registry() {
            if (mnFont8pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 8);
            if (mnFont10pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 10);
            if (mnFont12pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 12);
            if (mnFont14pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 14);
            if (mnFont16pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 16);
            if (mnFont18pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 18);
            if (mnFont20pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 20);
            if (mnFont24pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 24);
            if (mnFont28pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 28);

            if (mnFont30pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 28);
            if (mnFont32pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 28);
            if (mnFont34pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 30);
            if (mnFont36pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 36);
            if (mnFont38pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 38);
            if (mnFont40pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 40);
            if (mnFont42pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 42);
            if (mnFont44pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 44);
            if (mnFont46pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 46);
            if (mnFont48pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 48);
            if (mnFont50pg.IsChecked == true) Basis.WriteRegInt(SingVar.C_REG_ADR, "fontsize", 50);
        }


    }
}
