﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace XMLVerify
{
    /// <summary>
    /// Interaktionslogik für FOptionen.xaml
    /// </summary>
    public partial class FOptionen : Window
    {
        private Boolean result = false;

        public Boolean Result
        {
            get { return result; }
        }

        public FOptionen(Window parent)
        {
            // WindowStartupLocation="CenterOwner"
            InitializeComponent();
            this.Owner = parent;  // Important, because CenterOwner
            this.WindowStartupLocation = WindowStartupLocation.CenterOwner; // nur in XAML
        }


        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            SingVar singvar = SingVar.getInstance();
            chkWordWrap.IsChecked = singvar.WordWrap;
            chkFormatTab.IsChecked = singvar.FormatTab;
        }

        private void bnOk_Click(object sender, RoutedEventArgs e)
        {
            SingVar singvar = SingVar.getInstance();
            singvar.WordWrap = chkWordWrap.IsChecked==true;
            singvar.FormatTab = chkFormatTab.IsChecked == true;

            result = true;
            Close();
        }

        private void bnEsc_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }
}
