﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Collections;

using System.IO;
using System.Windows;

namespace XMLVerify
{
    class SingVar
    {
        public static string C_REG_ADR = "SOFTWARE\\WILHELM\\XMLVerifier";

        public static String C_NONAME = "noname";



        // instance muss nach C_REG_ADR kommen
        private static SingVar instance = new SingVar();

        // public ArrayList files = new ArrayList();


        private int iTabLength = 2;
        private bool bWordWrap = false;


        private int iTop = 0;
        private int iLeft = 0;
        private int iWidth = 800;
        private int iHeight = 600;
        private bool bSetting = false;
        private bool bFormatTab = true;


        public bool Setting
        {
            get { return bSetting; }
            set
            {
                bSetting = value;
                Basis.WriteRegBool(C_REG_ADR, "bSetting", bSetting);
            }
        }


        public bool FormatTab
        {
            get { return bFormatTab; }
            set
            {
                bFormatTab = value;
                Basis.WriteRegBool(C_REG_ADR, "bFormatTab", bFormatTab);
            }
        }


        public int TabLength
        {
            get { return iTabLength; }
            set
            {
                iTabLength = value;
                Basis.WriteRegInt(C_REG_ADR, "iTabLength", iTabLength);
            }
        }

        // ------------------



        public bool WordWrap
        {
            get { return bWordWrap; }
            set
            {
                bWordWrap = value;
                Basis.WriteRegBool(C_REG_ADR, "bWordWrap", bWordWrap);
            }
        }




        public int Top
        {
            get { return iTop; }
            set
            {
                iTop = value;
                Basis.WriteRegInt(C_REG_ADR, "iTop", iTop);
            }
        }


        public int Left
        {
            get { return iLeft; }
            set
            {
                iLeft = value;
                Basis.WriteRegInt(C_REG_ADR, "iLeft", iLeft);
            }
        }


        public int Width
        {
            get { return iWidth; }
            set
            {
                iWidth = value;
                Basis.WriteRegInt(C_REG_ADR, "iWidth", iWidth);
            }
        }


        public int Height
        {
            get { return iHeight; }
            set
            {
                iHeight = value;
                Basis.WriteRegInt(C_REG_ADR, "iHeight", iHeight);
            }
        }

        // -----------





        public static SingVar getInstance()
        {
            return instance;
        }

        private SingVar()
        {
            iTabLength = Basis.ReadRegInt(C_REG_ADR, "iTabLength");
            if (iTabLength < 5) iTabLength = 5;

            bWordWrap = Basis.ReadRegBool(C_REG_ADR, "bWordWrap");
            bFormatTab = Basis.ReadRegBool(C_REG_ADR, "bFormatTab");

            bSetting = Basis.ReadRegBool(C_REG_ADR, "bSetting");
            iTop = Basis.ReadRegInt(C_REG_ADR, "iTop");
            iLeft = Basis.ReadRegInt(C_REG_ADR, "iLeft");
            iWidth = Basis.ReadRegInt(C_REG_ADR, "iWidth");
            iHeight = Basis.ReadRegInt(C_REG_ADR, "iHeight");

        }
    }
}
